summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPlague Doctor2019-01-15 08:44:59 +1100
committerPlague Doctor2019-01-15 08:44:59 +1100
commit29e40e81577c23743c02c3897c262bf7b85ecbc2 (patch)
tree1ab6d971a1f61ab349da2f93d6bbb08dcdb6cc12
parent4a6bee593ebb7cf7d249119a819ac99655860075 (diff)
downloadaur-29e40e81577c23743c02c3897c262bf7b85ecbc2.tar.gz
Upgrade to version 2019.1847. Java 11 required
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD25
-rw-r--r--moneydance.desktop11
-rw-r--r--moneydance.patch11
-rwxr-xr-xmoneydance.sh2
5 files changed, 33 insertions, 33 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 73bf6211633..352291ea4dd 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,23 +1,22 @@
# Generated by mksrcinfo v8
-# Wed Nov 14 13:06:56 UTC 2018
+# Mon Jan 14 21:43:42 UTC 2019
pkgbase = moneydance
pkgdesc = A personal finance manager for Mac, Windows and Linux
- pkgver = 2017.1706
+ pkgver = 2019.1847
pkgrel = 1
url = https://www.moneydance.com/
arch = i686
arch = x86_64
license = custom
depends = java-runtime
+ depends = jre-openjdk
depends = bash
source = moneydance.sh
- source = moneydance.patch
- sha256sums = 2afec424853974a22690657376edfdbe7924a2adae7ea57c0e3aa98d8cd62947
- sha256sums = 4e48af0efb968910304767fe0bbab733aaa7b15f4d05b6a82c9fdac78351776f
- source_i686 = moneydance_x86-2017.1706-1.tar.gz::https://infinitekind.com/stabledl/current/Moneydance_linux_x86.tar.gz
- sha256sums_i686 = 7cc9e04e81eb2db4a680c491174124e2806843b2970eba4a0bcb5d0533ab47a7
- source_x86_64 = moneydance_amd64-2017.1706-1.tar.gz::https://infinitekind.com/stabledl/current/Moneydance_linux_amd64.tar.gz
- sha256sums_x86_64 = bb0aef14a97fe10fb13c6787273443847ea59cc0992e4e6635ffd8dfada1a147
+ source = moneydance.desktop
+ sha256sums = 48304a6859a97210abf103d899e5eadc113ee1642a3bde78a92ece77a9694125
+ sha256sums = 242dc66a95c4842099e41092bd87ccaf97c314bed1f9865f5c6a72f135f7de21
+ source_x86_64 = moneydance_amd64-2019.1847-1.tar.gz::https://infinitekind.com/stabledl/current/Moneydance_linux_amd64.tar.gz
+ sha256sums_x86_64 = 534af32ac2da4012058170cad09493871334cc62d4c3d2762938c6bb2bc56a67
pkgname = moneydance
diff --git a/PKGBUILD b/PKGBUILD
index 785014ecf62..b4e26ad5666 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Plague-doctor <plague at privacyrequired dot com >
pkgname=moneydance
-pkgver=2017.1706
+pkgver=2019.1847
pkgrel=1
epoch=
pkgdesc="A personal finance manager for Mac, Windows and Linux"
@@ -9,7 +9,7 @@ arch=('i686' 'x86_64')
url="https://www.moneydance.com/"
license=('custom')
groups=()
-depends=('java-runtime' 'bash')
+depends=('java-runtime' 'jre-openjdk' 'bash')
checkdepends=()
makedepends=()
optdepends=()
@@ -20,8 +20,7 @@ backup=()
options=()
install=
changelog=
-source=('moneydance.sh' 'moneydance.patch')
-source_i686=(${pkgname}_x86-${pkgver}-${pkgrel}.tar.gz::https://infinitekind.com/stabledl/current/Moneydance_linux_x86.tar.gz)
+source=('moneydance.sh' 'moneydance.desktop')
source_x86_64=(${pkgname}_amd64-${pkgver}-${pkgrel}.tar.gz::https://infinitekind.com/stabledl/current/Moneydance_linux_amd64.tar.gz)
package() {
@@ -35,20 +34,20 @@ package() {
# copy files
cd "$srcdir"
install -m755 "$pkgname.sh" "$pkgdir/usr/bin/$pkgname" || return 1
+ install -m644 "$pkgname.desktop" "$pkgdir/usr/share/applications/$pkgname.desktop" || return 1
# copy Mac icon since they're higher res
- cd "$srcdir/Moneydance/jars"
+ cd "$srcdir/Moneydance/lib"
bsdcpio --extract --make-directories "com/moneydance/apps/md/view/gui/glyphs/appicon_128.png" < $pkgname.jar || return 1
cd "$srcdir/${pkgname^}"
- patch -uN "resources/moneydance.desktop" "../moneydance.patch"
- install -m644 "resources/moneydance.desktop" "$pkgdir/usr/share/applications/$pkgname.desktop" || return 1
+ #patch -uN "resources/moneydance.desktop" "../moneydance.patch"
+ #install -m644 "moneydance.desktop" "$pkgdir/usr/share/applications/$pkgname.desktop" || return 1
install -m644 "resources/license.txt" "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
- install -m644 jars/com/moneydance/apps/md/view/gui/glyphs/appicon_128.png "$pkgdir/usr/share/pixmaps/$pkgname.png" || return 1
- install -m644 jars/*.jar "$pkgdir/usr/share/java/$pkgname" || return 1
+ install -m644 lib/com/moneydance/apps/md/view/gui/glyphs/appicon_128.png "$pkgdir/usr/share/pixmaps/$pkgname.png" || return 1
+ install -m644 lib/*.jar "$pkgdir/usr/share/java/$pkgname" || return 1
}
-sha256sums=('2afec424853974a22690657376edfdbe7924a2adae7ea57c0e3aa98d8cd62947'
- '4e48af0efb968910304767fe0bbab733aaa7b15f4d05b6a82c9fdac78351776f')
-sha256sums_i686=('7cc9e04e81eb2db4a680c491174124e2806843b2970eba4a0bcb5d0533ab47a7')
-sha256sums_x86_64=('bb0aef14a97fe10fb13c6787273443847ea59cc0992e4e6635ffd8dfada1a147')
+sha256sums=('48304a6859a97210abf103d899e5eadc113ee1642a3bde78a92ece77a9694125'
+ '242dc66a95c4842099e41092bd87ccaf97c314bed1f9865f5c6a72f135f7de21')
+sha256sums_x86_64=('534af32ac2da4012058170cad09493871334cc62d4c3d2762938c6bb2bc56a67')
diff --git a/moneydance.desktop b/moneydance.desktop
new file mode 100644
index 00000000000..32f2e1431e2
--- /dev/null
+++ b/moneydance.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Terminal=false
+Exec=moneydance
+Icon=moneydance.png
+Type=Application
+Categories=Application;Office;
+StartupNotify=false
+Name=Moneydance Personal Finance Manager
+GenericName=Personal Finance Manager
+Comment=Manage your personal finances
diff --git a/moneydance.patch b/moneydance.patch
deleted file mode 100644
index 6d2d6e8b88f..00000000000
--- a/moneydance.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- moneydance.desktop.old 2013-01-23 13:12:49.821414467 +0100
-+++ moneydance.desktop 2013-01-23 13:12:58.194702439 +0100
-@@ -2,7 +2,7 @@
- Version=1.0
- Terminal=false
- Exec=moneydance
--Icon=moneydance_icon512.png
-+Icon=moneydance.png
- Type=Application
- Categories=Application;Office;
- StartupNotify=false
diff --git a/moneydance.sh b/moneydance.sh
index adc29773f26..07303f645d1 100755
--- a/moneydance.sh
+++ b/moneydance.sh
@@ -1,6 +1,8 @@
#!/bin/sh
+export PATH=/usr/lib/jvm/java-11-openjdk/bin/:$PATH
export _JAVA_OPTIONS='-Dawt.useSystemAAFontSettings=gasp -Dawt.useSystemAAFontSettings=on'
for name in /usr/share/java/moneydance/*.jar; do
CP=$CP:$name
done
+#/usr/lib/jvm/java-11-openjdk/bin/java -cp $CP Moneydance
java -cp $CP Moneydance